### 8.162 `MASKR` — Right justified mask

Description:
  `MASKL(I[, KIND])` has its rightmost I bits set to 1, and the remaining bits set to 0.
Standard:
  Fortran 2008 and later
Class:
  Elemental function
Syntax:
  `RESULT = MASKR(I[, KIND])`
Arguments:

  I | Shall be of type `INTEGER`.
  KIND | Shall be a scalar constant expression of type `INTEGER`.

Return value:
  The return value is of type `INTEGER`. If KIND is present, it specifies the kind value of the return type; otherwise, it is of the default integer kind.
See also:
  MASKL